Bug 497013 - edquota -r error
edquota -r error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: quota (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 22:18 EDT by Jane Cua
Modified: 2009-04-24 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 04:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jane Cua 2009-04-21 22:18:17 EDT
Description of problem:
edquota -r does not work.

Version-Release number of selected component (if applicable):
Centos 5.x

How reproducible:
I have 2 hosts both running centos 5.3. This is an upgrade from my old RH9 setup. Host1 has quotas set and is the NFS server. Host2 mounts /home where quota is set. I have a simple app that I use to add a user in host2. In the script I used to be able to run edquota -rp templateuser newuser

Steps to Reproduce:
1. edquota -rp templateuser newuser
2. edquota -p templateuser -r newuser
3.
  
Actual results:
[root@host2 ~]# edquota -rp templateuser newuser
edquota: invalid option -- r
edquota: Usage:
edquota [-u] [-x] [-F formatname] [-p username] [-f filesystem] username ...
edquota -g [-x] [-F formatname] [-p groupname] [-f filesystem] groupname ...
edquota [-u|g] [-x] [-F formatname] [-f filesystem] -t
edquota [-u|g] [-x] [-F formatname] [-f filesystem] -T username|groupname ...
Bugs to: mvw@planets.elm.net, jack@suse.cz

[root@host2 ~]# edquota -p templateuser -r newuser
edquota: invalid option -- r
edquota: Usage:
edquota [-u] [-x] [-F formatname] [-p username] [-f filesystem] username ...
edquota -g [-x] [-F formatname] [-p groupname] [-f filesystem] groupname ...
edquota [-u|g] [-x] [-F formatname] [-f filesystem] -t
edquota [-u|g] [-x] [-F formatname] [-f filesystem] -T username|groupname ...
Bugs to: mvw@planets.elm.net, jack@suse.cz

Expected results:
newuser would copy the quota of templateuser

Additional info:
On the previous system RH9, I have no issues with this.  Man pages for edquota on Centos 5.x on edquota shows to use -r.
Comment 1 Ivana Varekova 2009-04-22 01:34:12 EDT
edquota(8) is a part of quota package, so I'm reassigning this bug to it.
Comment 2 Ondrej Vasik 2009-04-22 04:51:48 EDT
Please read again and carefully manpage of edquota. It says following for -r option: "This option is available only if quota tools were compiled with enabled support for setting quotas over RPC." .

Remote editing/seting of quotas is intentionally not enabled in RHEL-5 and is not planned to enable it there. I enabled this in Fedora Rawhide ~1 month ago - as there are no upstream bug reports about it.

Closing NOTABUG, everything documented properly and works as expected. In RHL-9 was enable_rpcsetquota default yes, so quota was compiled with rpc support by default. Upstream decided to change this (http://linuxquota.cvs.sourceforge.net/viewvc/linuxquota/quota-tools/configure.in?r1=1.8&r2=1.9) as Sun RPC implementation had some security leaks. You could of course recompile RHEL-5/CentOS5 srpm with remote quota support if you run ./configure with --enable-rpcsetquota=yes (best way - add that option to build section in spec file and use rpmbuild tool to make your own customized rpm).
Comment 3 Jane Cua 2009-04-23 17:14:38 EDT
I have the same issue with  Bug 469753.  I thought with RHEL, if you sway away and compile your own source, they will not support it anymore.  Where can I find more information on rquota, man pages doesn't show much.  Thank you.
Comment 4 Ondrej Vasik 2009-04-24 04:03:06 EDT
Yep - rebuilt sources with custom options are unsupported. But in RHEL there is very strict update politics, so I can't fix it without some approvals. I can't find out why upstream decided to disable --enable-rpcsetquota by default - but I guess it was due to security issues with RPC and it happened before I got maintainance of that package in Fedora. 

About rquota() - it originally came from glibc - and was extended as glibc maintainers are not very interested in sunrpc functions developement. So maybe some additional informations could be found there or in some manual about sunrpc headers. Sorry, but I don't know any better source, maybe manpage improvement could be requested on linuxquota upstream (http://sourceforge.net/projects/linuxquota/)
Comment 5 Jane Cua 2009-04-24 12:50:43 EDT
thank you the information.

Note You need to log in before you can comment on or make changes to this bug.